# TdApi.PageBlockRelatedArticles (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockRelatedArticles

Package it.tdlight.jni

# Class TdApi.PageBlockRelatedArticles

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockRelatedArticles

Enclosing class:
  TdApi

    public static class TdApi.PageBlockRelatedArticles
    extends TdApi.PageBlock

Related articles.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.PageBlockRelatedArticle[]` | `articles` | List of related articles.
`static int` | `CONSTRUCTOR` |
`TdApi.RichText` | `header` | Block header.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockRelatedArticles()` | Related articles.
`PageBlockRelatedArticles​(TdApi.RichText header, TdApi.PageBlockRelatedArticle[] articles)` | Related articles.
`PageBlockRelatedArticles​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### header

public TdApi.RichText header
Block header.

### articles

public TdApi.PageBlockRelatedArticle[] articles
List of related articles.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockRelatedArticles

public PageBlockRelatedArticles()
Related articles.

### PageBlockRelatedArticles

public PageBlockRelatedArticles​(TdApi.RichText header, TdApi.PageBlockRelatedArticle[] articles)
Related articles.

Parameters:
  `header` - RichText Block header.
  `articles` - PageBlockRelatedArticle[] List of related articles.

### PageBlockRelatedArticles

public PageBlockRelatedArticles​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`